# Loan Custom Code

This repo contains all the custom code related to the loan management in LinkAhead.
It is to be checked out as a custom-directory and needs to be
specified in your profile.yml.

## Usage
Mount the custom folder by adding it to the `profile.yml`. E.g.
```
  custom:
    # Customizations for the demo server are stored here; e.g. the tour
    - "./custom"  # typical folder for instance specific customization
    - "./loan/loan-custom"  # adds the loan module
```

Also, you need to add the python package to the scripting interface in the
profile:
```
  scripting:
    packages:
      loanpy:
        mode: "copy"
        path: "loan/loanpy"
        package: "linkahead-sss-loanpy"
```


## Configuration
Note, that you can adjust names of Recordtypes and Properties that are used.
If you want to do this, you need to 
1. Create a configuration file for `loanpy`. Place a `~/linkahead_loan.ini` in
   the sss home directory (`caosdb-server/scripting/home`) and add those keys,
   that you want to change. Check out the available options in the default file
   `loanpy/src/loan/default_config.ini`.
- Add a `caosdb-server/caosdb-webui/src/ext/js/a_box_loan_config.js` to your
  custom folder such that it overwrites the corresponding file of loan-custom.

## Integration tests
Run `pytest .` in the integration tests folder

## Serverside scripting must be enabled. (pylink.ini in home)
